import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/hotdoujiang/addd4f2369f3457e5a09a8b89942941b/raw/32005dcb2d6939501b7ab8e9b7e1b28555dd5736/2019WorldEconomicFreedomIndex.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d['Property Rights'] = +d['Property Rights'];
			d['Judical Effectiveness'] = +d['Judical Effectiveness'];
      d['Government Integrity'] = +d['Government Integrity'];
      d['Tax Burden'] = +d['Tax Burden'];
      d['Government Spending'] = +d['Government Spending'];
      d['Fiscal Health'] = +d['Fiscal Health'];
      d['Business Freedom'] = +d['Business Freedom'];
      d['Labor Freedom'] = +d['Labor Freedom'];

      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};